
from format_convert.swf.movie import SWF
from format_convert.swf.export import SVGExporter

file = open("ab.swf",'rb')

_swf = SWF(file)
svg_exporter = SVGExporter()

# export!
svg = _swf.export(svg_exporter)

# save the SVG
open('svg', 'wb').write(svg.read())